<?php

namespace App\Filament\Resources\MenuPermissionResource\Pages;
use Illuminate\Database\Eloquent\Builder;

use App\Filament\Resources\MenuPermissionResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;

class EditMenuPermission extends EditRecord
{
    protected static string $resource = MenuPermissionResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make(),
        ];
    }

    protected function mutateFormDataBeforeSave(array $data): array
    {
        return $data;
    }
}
